package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 审核状态(0:待审核;1:通过;2:未通过)
 *
 * @author: haonan
 * @date: 2023-07-28
 */
public enum SubjectTypeEnum implements BaseEnum<String, SubjectTypeEnum> {


    ENSEMBLE("合奏"),
    MUSIC("小曲目"),
    SUBJECT("声部"),
    COURSEWARE("课件");

    @EnumValue
    private String code;
    private String msg;

    SubjectTypeEnum(String msg) {
        code = this.name();
        this.msg = msg;
    }

    public String getMsg() {
        return this.msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
